Subject: Re: b44 compile error on !PCI

From: Michael Buesch <[email-masked]>
Date: Thu, 2 Aug 2007 19:17:45 +0200

On Thursday 02 August 2007, Meelis Roos wrote:
> Tryng to compile todays git on SBus-only Sparc64 (Ultra 1), no PCI. b44 
> is selectable but fails to compile:
> 
>   CC [M]  drivers/net/b44.o
> drivers/net/b44.c: In function 'b44_sync_dma_desc_for_device':
> drivers/net/b44.c:134: error: implicit declaration of function 'dma_sync_single_range_for_device'
> drivers/net/b44.c: In function 'b44_sync_dma_desc_for_cpu':
> drivers/net/b44.c:144: error: implicit declaration of function 'dma_sync_single_range_for_cpu'

Are you sure this is related to !PCI ?
If I grep include/asm-sparc64/dma-mapping.h I don't
find dma_sync_single_range_for_*
So I'd rather call this a bug in the arch code of sparc64.